"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
Object.defineProperty(exports, "__esModule", { value: true });
exports.getForm = void 0;
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var getForm = function (customProps) {
    (0, primeobjects_helper_util_1.doNothing)(customProps);
    var getRows = function (record) {
        (0, primeobjects_helper_util_1.doNothing)(record);
        return [
            {
                fields: [
                    {
                        name: "cognitoSection",
                        line: "Cognito Settings",
                        type: "section",
                        wrapperStyle: { marginTop: 0 }
                    }
                ]
            },
            // {
            //     fields: [
            //         {
            //             groupName: "cognito",
            //             name: "mandatorySignIn",
            //             defaultValue: false,
            //             label: "Mandatory SignIn",
            //             type: "checkbox",
            //             disabled: true
            //         }
            //     ]
            // },
            {
                fields: [
                    {
                        groupName: "cognito",
                        name: "region",
                        defaultValue: "us-east-1",
                        alwaysShowLabel: true,
                        label: "Region",
                        placeholder: "Select a region here",
                        type: "single-line-input",
                        disabled: true
                    },
                    {
                        groupName: "cognito",
                        name: "userPoolId",
                        alwaysShowLabel: true,
                        label: "User pool ID",
                        placeholder: "Type the ID here",
                        type: "single-line-input"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "cognito",
                        name: "userPoolWebClientId",
                        alwaysShowLabel: true,
                        label: "User pool web client ID",
                        placeholder: "Type the client ID here",
                        type: "single-line-input"
                    }
                ]
            },
            {
                fields: [
                    {
                        name: "passwordRuleSection",
                        line: "Password rules",
                        type: "section"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "passwordRules",
                        name: "needLowerCaseLetter",
                        label: "Require at least one lowercase letter in the password",
                        type: "checkbox"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "passwordRules",
                        name: "needUpperCaseLetter",
                        label: "Require at least one uppercase letter in the password",
                        type: "checkbox"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "passwordRules",
                        name: "needUpperCaseLetter",
                        label: "Require at least one digit in the password",
                        type: "checkbox"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "passwordRules",
                        name: "needUpperCaseLetter",
                        label: "Require at least one special charactor in the password",
                        type: "checkbox"
                    }
                ]
            },
            {
                fields: [
                    {
                        groupName: "passwordRules",
                        name: "minLen",
                        defaultValue: 8,
                        label: "Minimum length of the password",
                        type: "advanced-number-input",
                        min: 6,
                        max: 20
                    },
                    {
                        type: "placeholder"
                    }
                ]
            }
        ];
    };
    return {
        id: "auth",
        tooltip: "Auth settings",
        iconSrc: "/icons/platform/password.svg",
        getRows: getRows
    };
};
exports.getForm = getForm;
//# sourceMappingURL=auth.js.map