"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SolutionForm = void 0;
var react_1 = __importDefault(require("react"));
var wrapper_1 = __importDefault(require("primeobjects-ui-web-form/build/cjs/wrapper"));
var general_1 = require("./general");
var auth_1 = require("./auth");
var app_json_1 = require("./app-json");
var site_json_1 = require("./site-json");
var api_keys_form_1 = require("../api-keys-form");
var entities_json_1 = require("./entities-json");
var apis_json_1 = require("./apis-json");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var primeobjects_helper_ui_1 = require("primeobjects-helper-ui");
var use_current_context_1 = require("primeobjects-ui-web-application/build/cjs/context/use-current-context");
var DISPLAY_NAME = "SolutionForm";
var SolutionForm = function (props) {
    var entity = props.entity, record = props.record;
    var solution = (0, primeobjects_helper_ui_1.useSolution)();
    var currentContext = (0, use_current_context_1.useCurrentContext)(solution);
    var isSolutionAdmin = (0, primeobjects_helper_util_1.hasRole)(currentContext, "SOLUTION-ADMIN");
    return (react_1.default.createElement(wrapper_1.default, __assign({}, props, { hideActionButton: true, tabs: isSolutionAdmin
            ? [
                general_1.getForm,
                auth_1.getForm,
                api_keys_form_1.getForm,
                app_json_1.getForm,
                site_json_1.getForm,
                entities_json_1.getForm,
                apis_json_1.getForm
            ]
            : [
                general_1.getForm,
                site_json_1.getForm,
                auth_1.getForm,
                api_keys_form_1.getForm
            ], entity: entity, record: record })));
};
exports.SolutionForm = SolutionForm;
exports.SolutionForm.displayName = DISPLAY_NAME;
exports.default = exports.SolutionForm;
//# sourceMappingURL=index.js.map