//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import MultiLineInputField from "primeobjects-ui-web-form/build/cjs/fields/input/multi-line-input";
import { COLORS } from "primeobjects-helper-util";
export var getForm = function (customProps) {
    var toChangeRecord = customProps.toChangeRecord;
    var getRows = function (record) {
        return [
            {
                fields: [
                    {
                        name: "apisJSON",
                        alwaysShowLabel: true,
                        label: "App settings",
                        type: "container",
                        content: (React.createElement(MultiLineInputField, { inputWrapperStyle: {
                                border: "none"
                            }, inputClassName: "input", inputStyle: {
                                border: "solid 1px ".concat(COLORS.GRAY["200"])
                            }, id: "apisJSONMultiLineInputField", value: JSON.stringify(record.apis, null, 4), onChange: function (newValue) {
                                try {
                                    if (newValue) {
                                        record.apis = JSON.parse(newValue);
                                        toChangeRecord(record);
                                    }
                                }
                                catch (_a) { }
                            } }))
                    }
                ]
            }
        ];
    };
    return {
        id: "apisSettings",
        tooltip: "APIs settings",
        iconSrc: "/icons/platform/solution/apis-settings.svg",
        getRows: getRows
    };
};
//# sourceMappingURL=apis-json.js.map