import { isNil } from "lodash";
export var getHeaderPhotoRows = function (props) {
    var _a;
    var record = props.record, onHide = props.onHide, toHide = props.toHide, show = props.show;
    var name = (_a = props.name) !== null && _a !== void 0 ? _a : "media";
    var sectionName = "".concat(name, "-section");
    var autoPreviewResize = !isNil(record.mediaSize) && record.mediaSize.length == 0;
    return !show
        ? []
        : [
            {
                fields: [
                    {
                        wrapperStyle: {
                            marginBottom: 0
                        },
                        isClosed: toHide(sectionName),
                        name: sectionName,
                        line: "Header photo",
                        type: "section",
                        onToggle: function (isClosed) {
                            onHide(sectionName, isClosed);
                        }
                    }
                ]
            },
            !toHide(sectionName) && {
                style: { paddingBottom: "0.2rem" },
                fields: [
                    { type: "placeholder" },
                    {
                        colStyle: { maxWidth: 120 },
                        name: "".concat(name, "Size"),
                        type: "picklist",
                        defaultValue: "aspect aspect-w-16 aspect-h-9",
                        options: [
                            {
                                value: "aspect aspect-w-16 aspect-h-9",
                                text: "16 : 9"
                            },
                            {
                                value: "aspect aspect-w-4 aspect-h-3",
                                text: "4 : 3"
                            },
                            {
                                value: "",
                                text: "Auto adjust"
                            }
                        ],
                        controlStyle: { fontSize: "0.9rem" },
                        inputStyle: {
                            borderBottomWidth: 0,
                            borderTopWidth: 1,
                            borderLeftWidth: 1,
                            borderRightWidth: 1,
                            borderColor: "#e5e7eb",
                            borderStyle: "solid",
                            paddingLeft: 5,
                            paddingRight: 5
                        }
                    }
                ]
            },
            !toHide(sectionName) && {
                fields: [
                    {
                        uploaderLabel: "Upload Photo",
                        name: name,
                        allowEditUrl: true,
                        type: "upload-photo",
                        placeholder: "Upload a photo here",
                        autoPreviewResize: autoPreviewResize,
                        uploaderWrapperClassName: isNil(record["".concat(name, "Size")])
                            ? "aspect aspect-w-16 aspect-h-9"
                            : record["".concat(name, "Size")]
                    }
                ]
            }
        ];
};
//# sourceMappingURL=header-photo-rows.js.map